<template>
  <div class="section-from payment-section" :class="{'mobile': isMobileGlobal()}">
    <a-row style="text-align: left; color: #fff; font-size: 1rem"
      v-if="!isMobileGlobal()">
      <a-col :span="6">
        <a
          @click="back"
          href="#"
          style="text-align: left; color: #fff; font-size: 1rem"
        >
          <a-icon type="left" /> Back
        </a>
      </a-col>
    </a-row>
    <a-row
      style="
        text-align: left;
        color: #fff;
        font-size: 1.2rem;
        margin-top: 25px;
        font-weight: 600;"
      class="sub-title"
    >
      <a-col :span="24"> Payment method </a-col>
    </a-row>
    <a-row
      :gutter="[24,24]"
      style="text-align: left; color: #fff; font-size: 1.2rem; margin-top: 25px"
      class="payment-row"
    >
      <a-col :xs="10" :md="4">
        <a href="" class="payment-icon">
          <img
            src="img/master-card.png"
            style=" height: 35px; object-fit: contain"
            class="master-card-img"
          />
        </a>
      </a-col>
      <a-col :xs="10" :md="4">
        <a href="" class="payment-icon">
          <img
            src="img/paypal.png"
            style=" height: 35px; object-fit: contain"
            class="paypal-img"
          />
        </a>
      </a-col>
    </a-row>
    <a-row class="form-profile" :gutter="[24,24]">
      <a-col :md="8" :lg="8">
        <label for="">Cardholder Name</label>
        <a-input type="text" placeholder="Amada ent"></a-input>
      </a-col>
    </a-row>
    <a-row class="form-profile" :gutter="[24,24]">
      <a-col  :md="8" :lg="8">
        <label for="">Credit Card Number</label>
        <a-input type="text" placeholder="77 street"></a-input>
      </a-col>
    </a-row>
    <a-row class="form-profile" :gutter="[24,24]">
      <a-col :xs="12" :md="4">
        <label for="">Expiration Date</label>
        <a-input
          type="text"
          placeholder="0123 456 789"
          style=""
        ></a-input>
      </a-col>
      <a-col :xs="12" :md="4" style="text-align: left">
        <label for="">CVV Number</label>
        <a-input type="text" placeholder="***" style=""></a-input>
      </a-col>
    </a-row>
    <a-row class="form-profile" :gutter="[24,24]">
      <a-col  :md="8" :lg="24">
        <a-input type="checkbox" style="width: 15px"></a-input>
        <span style="margin-top: -43px; display: block; margin-left: 25px"
          >Save card details</span
        >
      </a-col>
      <a-col :lg="24">
        <a-input type="checkbox" style="width: 15px"></a-input>
        <span style="margin-top: -43px; display: block; margin-left: 25px"
          >I agree with terms and conditions</span
        >
      </a-col>
    </a-row>
    <a-row class="form-profile btn-submit">
      <a-col :lg="6">
        <a-button> Submit </a-button>
      </a-col>
    </a-row>
  </div>
</template>

<script>
export default {
  data() {
    return {

    };
  },
  methods: {
    back() {},
  },
};
</script>

<style scoped>
.section-from {
  margin-left: 25px;
  margin-top: 50px;
}
input[type="checkbox"]:focus,
input[type="checkbox"]:active {
  box-shadow: none;
}
.form-profile {
  text-align: left !important;
}
.form-profile label {
  font-size: 1.2rem;
  font-weight: 500;
  margin: 25px 0;
  display: inline-block;
}
.form-profile input {
  background: #4f4d4d;
  color: #fff;
  border: 1px solid #fff;
  height: 50px !important;
}
.btn-submit {
  text-align: center !important;
}
.btn-submit button {
  width: 150px !important;
  height: 50px !important;
  margin-top: 25px;
  font-size: 1rem;
  font-weight: 600;
}
.payment-icon {
  display: inline-block;
  border: 1px solid #fff;
  width: 200px;
  height: 50px;
  text-align: center;
  line-height: 50px;
}

/* Mobile Style */
.mobile {
  padding-bottom: 60px;
}
.mobile .sub-title {
  margin-top: 0 !important;
}
.mobile .sub-title div {
  font-weight: normal;
  font-size: 14px;
}
.mobile .payment-row {
  margin-top: 0 !important;
}
.mobile .payment-icon {
  width: 130px;
}
.mobile .form-profile label {
  margin: 18px 0;
  font-weight: normal;
  font-size: 14px;
}
</style>